Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.types
Class Assertions.EnabledAssertion

    java.lang.Object
      org.apache.tools.ant.types.Assertions.BaseAssertion
          org.apache.tools.ant.types.Assertions.EnabledAssertion

Enclosing class:
  Assertions

    public static class Assertions.EnabledAssertion

extends Assertions.BaseAssertion

an enabled assertion enables things

Constructor Summary
`Assertions.EnabledAssertion()`

Method Summary
`java.lang.String` | `getCommandPrefix()` get the prefix used to begin the command; -ea or -da.

Methods inherited from class org.apache.tools.ant.types.Assertions.BaseAssertion
`getClassName, getPackageName, setClass, setPackage, toCommand`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Assertions.EnabledAssertion

    public Assertions.EnabledAssertion()

Method Detail

### getCommandPrefix

    public java.lang.String getCommandPrefix()

  get the prefix used to begin the command; -ea or -da.

  Specified by:
    `getCommandPrefix` in class `Assertions.BaseAssertion`
  Returns:
    prefix

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD